Loading...
Searching...
No Matches
Opm::SomertonThermalConductionLaw< FluidSystem, ScalarT, ParamsT > Class Template Reference

Implements the Somerton law of thermal conductivity in a porous medium. More...

`#include <SomertonThermalConductionLaw.hpp>`

## Public Types

typedef ParamsT | Params
typedef Params::Scalar | Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &params, const FluidState &fluidState)
| Given a fluid state, return the effective thermal conductivity [W/m^2 / (K/m)] of the porous medium.

## Static Protected Member Functions

template<class Evaluation>
static Evaluation | regularizedSqrt_ (const Evaluation &x)

## Detailed Description

template<class FluidSystem, class ScalarT, class ParamsT = SomertonThermalConductionLawParams<FluidSystem::numPhases, ScalarT>>
class Opm::SomertonThermalConductionLaw< FluidSystem, ScalarT, ParamsT >

Implements the Somerton law of thermal conductivity in a porous medium.

See:

W.H. Somerton, A.H. El-Shaarani and S.M. Mobarak: High Temperature Behavior of Rocks Associated with Geothermal Type Reservoirs, paper SPE-4897 presentet at SPE California Regional Meeting 1974, 1974

or

H. Class: Theorie und numerische Modellierung nichtisothermer Mehrphasenprozesse in NAPL kontaminierten poroesen Medien, PhD thesis, Technical University of Braunschweig, 2000

## Member Function Documentation

## thermalConductivity()

template<class FluidSystem, class ScalarT, class ParamsT = SomertonThermalConductionLawParams<FluidSystem::numPhases, ScalarT>>
template<class FluidState, class Evaluation = typename FluidState::Scalar>

Evaluation Opm::SomertonThermalConductionLaw< FluidSystem, ScalarT, ParamsT >::thermalConductivity | ( | const Params & | params,
|  | const FluidState & | fluidState )

inline static

Given a fluid state, return the effective thermal conductivity [W/m^2 / (K/m)] of the porous medium.

For two phases, the Somerton law is given by:

where is the thermal conductivity of the porous medium at vacuum, is the thermal conductivty of the porous medium if it is fully saturated by phase and is the saturation of phase .

The documentation for this class was generated from the following file:

- opm/material/thermal/SomertonThermalConductionLaw.hpp